/* 
---------------
	OVERLAY
---------------
*/
.blockOverlay { background: var(--color-dark-sand) !important; opacity: 80% !important; z-index: 10 !important; }
body.woocommerce-cart .blockOverlay { background: var(--color-sand) !important; }
body.woocommerce-cart .cart-collaterals .blockOverlay { background: var(--color-dark-sand) !important; }


/* 

	NOTICES
	
*/
.woocommerce-NoticeGroup, 
.woocommerce-notices-wrapper { width: 100%; }

.woocommerce-info { width: 100%; margin-bottom: 20px; padding: 10px 20px; border: 1px solid var(--color-dark-sand); background: rgba(255 255 255 / 50%); border-radius: 5px; }
.woocommerce-message { width: 100%; margin-bottom: 20px; padding: 10px 20px; border: 1px solid var(--color-green); background: color-mix(in srgb, var(--color-green) 15%, #ffffff 85%); border-radius: 5px; }


/* 
--------------------
	RESULT COUNT
--------------------
*/
p.woocommerce-result-count { float: left; }

form.woocommerce-ordering { height: 46px; margin-bottom: 20px; float: right; }
form.woocommerce-ordering select { width: 100%; height: 46px; padding-left: 10px; background: white; border: 1px solid var(--color-dark); border-radius: 5px; }



/*
----------------
	PRODUCTS
----------------
*/
ul.products { margin-left: 0 !important; display: grid; grid-template-columns: repeat(4, 1fr); gap: 20px; clear: both; list-style: none !important; }
ul.products li { padding-bottom: 70px; background: white; border: 1px solid var(--color-dark-sand); outline: 2px solid transparent; outline-offset: 2px; position: relative; border-radius: 5px; overflow: hidden; }
ul.products li:hover { outline-color: var(--color-dark-sand); }

ul.products li a.thumbnail { padding: 10px; background: var(--color-sand); display: block; }
ul.products li a.thumbnail img { width: 100%; height: auto; display: block; }

ul.products li .entry { padding: 20px; border-top: 1px solid var(--color-dark-sand); }
ul.products li .entry h3 { line-height: 100%; }
ul.products li .entry h3 a { font-size: 20px; text-decoration: none !important; line-height: 100%; display: inline-block; }
ul.products li .entry h3 a:hover { text-decoration: underline !important; }

ul.products li .price__action_button { width: 100%; left: 0; bottom: 0; padding: 0 20px 20px; display: flex; align-items: center; justify-content: space-between; position: absolute; }
ul.products li .price__action_button .price { font-weight: 700; }
ul.products li .price__action_button .button { color: #000000 !important; background: var(--color-yellow); }
ul.products li .price__action_button .button:hover { color: #ffffff !important; background: var(--color-dark); }
ul.products li .price__action_button .added_to_cart { display: none !important; }


/*
------------
	CART
------------
*/
body.woocommerce-cart div.woocommerce { display: flex; justify-content: space-between; }

form.woocommerce-cart-form { flex: 1; }

table.shop_table { width: 100%; border-collapse: collapse; border-spacing: 0; }

table.shop_table.cart thead tr th { padding: 20px 0; text-align: left; border-bottom: 1px solid var(--color-dark); }
table.shop_table.cart thead tr th.product-remove { width: 50px; }
table.shop_table.cart thead tr th.product-thumbnail { width: 150px; }
table.shop_table.cart thead tr th.product-price { width: 100px; text-align: center; }
table.shop_table.cart thead tr th.product-quantity { width: 150px; text-align: center; }
table.shop_table.cart thead tr th.product-subtotal { width: 150px; text-align: right; }

table.shop_table.cart tbody tr td { padding: 20px 0; border-bottom: 1px solid var(--color-dark); }
table.shop_table.cart tbody tr td.product-remove a.remove { width: 30px; height: 30px; text-decoration: none !important; color: #ffffff !important; line-height: normal; background: var(--color-red); display: flex; align-items: center; justify-content: center; border-radius: 50%; }
table.shop_table.cart tbody tr td.product-remove a.remove:hover { background: var(--color-dark); }

table.shop_table.cart tbody tr td.product-thumbnail a { width: max-content; border: 1px solid var(--color-dark-sand); outline: 2px solid transparent; outline-offset: 2px; display: block; border-radius: 10px; }
table.shop_table.cart tbody tr td.product-thumbnail a:hover { outline-color: var(--color-dark-sand); }
table.shop_table.cart tbody tr td.product-thumbnail a img { width: 130px; height: 130px; display: block; border-radius: 10px; }

table.shop_table.cart tbody tr td.product-name { line-height: 20px; }
table.shop_table.cart tbody tr td.product-name dl.variation { margin-top: 10px; font-size: 14px; display: flex; }
table.shop_table.cart tbody tr td.product-name dl.variation dt { margin-right: 4px; }
table.shop_table.cart tbody tr td.product-name dl.variation dd p { margin-bottom: 0 !important; }

table.shop_table.cart tbody tr td.product-price { text-align: center; }

table.shop_table.cart tbody tr td.product-quantity .quantity { width: 120px; margin: auto; display: flex; }
table.shop_table.cart tbody tr td.product-quantity .quantity button { width: 30px; height: 30px; background: var(--color-dark-sand); cursor: pointer; }
table.shop_table.cart tbody tr td.product-quantity .quantity button:hover { color: #ffffff; background: var(--color-dark); }
table.shop_table.cart tbody tr td.product-quantity .quantity input[type="number"] { width: calc(100% - 60px); height: 30px; text-align: center; }

table.shop_table.cart tbody tr td.product-subtotal { text-align: right; }

table.shop_table.cart tbody tr td.actions .coupon { display: flex; float: left; }
table.shop_table.cart tbody tr td.actions .coupon label { display: none; }
table.shop_table.cart tbody tr td.actions .coupon input[type="text"] { width: 200px; height: 50px; margin-right: 10px; padding-left: 10px; border: 1px solid var(--color-dark-sand); border-radius: 5px; }

table.shop_table.cart tbody tr td.actions button[name="update_cart"] { float: right; }

/* Cart Collaterals */
.cart-collaterals { width: 400px; margin-left: 100px; padding: 30px; background: var(--color-dark-sand); border-radius: 10px; }
.cart-collaterals table.shop_table { margin-bottom: 20px; }
.cart-collaterals table.shop_table tbody tr th { padding: 10px 10px 10px 0; font-size: 16px; font-weight: 700; line-height: 20px; text-align: left; vertical-align: top; border-bottom: 1px solid rgba(255 255 255 / 75%); }
.cart-collaterals table.shop_table tbody tr td { padding: 10px 0; vertical-align: top; line-height: 20px; border-bottom: 1px solid rgba(255 255 255 / 75%); }
.cart-collaterals table.shop_table tbody tr td ul { margin-left: 0 !important; margin-bottom: 0 !important; list-style: none; }
.cart-collaterals table.shop_table tbody tr td ul li { margin-bottom: 10px; }
.cart-collaterals table.shop_table tbody tr td ul li:last-child { margin-bottom: 0; }
.cart-collaterals table.shop_table tbody tr td ul li label { cursor: pointer; }
.cart-collaterals table.shop_table tbody tr td p.woocommerce-shipping-destination { margin-top: 20px; margin-bottom: 0 !important; font-size: 14px; line-height: 20px; }

.cart-collaterals .wc-proceed-to-checkout .button { width: 100%; background-color: var(--color-green); }
.cart-collaterals .wc-proceed-to-checkout .button:hover { background-color: var(--color-dark); }

/* Recommended products */
.recommended-products { width: 100%; margin-top: 50px; }


/*
----------------
	CHECKOUT
----------------
*/
form.checkout { display: flex; }

/* Customer details */
form.checkout #customer_details { flex: 1; }
form.checkout #customer_details .woocommerce-billing-fields__field-wrapper { display: flex; justify-content: space-between; }
form.checkout #customer_details .woocommerce-billing-fields__field-wrapper .form-row { width: 100%; }
form.checkout #customer_details .woocommerce-billing-fields__field-wrapper .form-row.form-row-first { width: calc(50% - 10px); }
form.checkout #customer_details .woocommerce-billing-fields__field-wrapper .form-row.form-row-last { width: calc(50% - 10px); }

form.checkout #customer_details .form-row.notes { margin-bottom: 0 !important; }

/* Order review heading */
form.checkout #order_review_heading { display: none !important; }

/* Orderreview */
form.checkout #order_review { width: 400px; margin-left: 100px; padding: 30px; background: var(--color-dark-sand); border-radius: 10px; }
form.checkout #order_review h3 { font-size: 25px; }

form.checkout #order_review table.shop_table { margin-bottom: 20px; }
form.checkout #order_review table.shop_table thead tr th { padding: 10px 0; text-align: left; border-bottom: 4px solid rgba(255 255 255 / 75%); }
form.checkout #order_review table.shop_table thead tr th.product-total { text-align: right; }

form.checkout #order_review table.shop_table tbody tr td { padding: 10px 0; font-size: 16px; text-align: left; line-height: 20px; border-bottom: 1px solid rgba(255 255 255 / 75%); }
form.checkout #order_review table.shop_table tbody tr td.product-total { text-align: right; }

form.checkout #order_review table.shop_table tfoot tr th { padding: 10px 0; font-size: 16px; text-align: left; line-height: 20px; border-bottom: 1px solid rgba(255 255 255 / 75%); }
form.checkout #order_review table.shop_table tfoot tr td { padding: 10px 0; font-size: 16px; text-align: right; line-height: 20px; border-bottom: 1px solid rgba(255 255 255 / 75%); }

form.checkout #order_review table.shop_table tfoot tr.shipping td { text-align: left; }
form.checkout #order_review table.shop_table tfoot tr.shipping td ul { margin-left: 0 !important; list-style: none !important; }
form.checkout #order_review table.shop_table tfoot tr.shipping td ul li { margin-bottom: 10px; }
form.checkout #order_review table.shop_table tfoot tr.shipping td ul li:last-child { margin-bottom: 0; }
form.checkout #order_review table.shop_table tfoot tr.shipping td ul li label { cursor: pointer; }

form.checkout #order_review #payment ul { margin-left: 0 !important; list-style: none !important; }
form.checkout #order_review #payment ul li { margin-bottom: 10px; }
form.checkout #order_review #payment ul li:last-child { margin-bottom: 0; }
form.checkout #order_review #payment ul li label { cursor: pointer; }
form.checkout #order_review #payment ul li .payment_box p { margin-top: 10px; margin-bottom: 0 !important; padding: 10px 20px; font-size: 14px; line-height: 20px !important; background: rgba(255 255 255 / 50%); border-radius: 5px; }




/*
------------
	FORM
------------
*/
.form-row { margin-bottom: 10px; }

.form-row label { width: 100%; font-size: 14px; font-weight: 700; display: block; }

.form-row select, 
.form-row textarea, 
.form-row input[type="tel"], 
.form-row input[type="text"], 
.form-row input[type="email"] { width: 100%; height: 50px; padding-left: 10px; background: white; border: 1px solid var(--color-dark-sand); outline: 2px solid transparent; outline-offset: 2px; border-radius: 5px; }


.form-row select:focus, 
.form-row textarea:focus, 
.form-row input[type="tel"]:focus, 
.form-row input[type="text"]:focus, 
.form-row input[type="email"]:focus { outline-color: var(--color-dark-sand); }

.form-row textarea { min-height: 150px; padding: 10px; resize: vertical; }